package com.godyo.libreoffice.unointerface;

import com.sun.star.lang.XComponent;
import com.sun.star.text.XTextDocument;
import com.sun.star.uno.UnoRuntime;

public class Document {

	private final XComponent xComponent;

	public Document(final XTextDocument xTextDocument) {
		this.xComponent = UnoRuntime.queryInterface(XComponent.class, xTextDocument);
	}

	public void close() {
		xComponent.dispose();
	}

}