package ag.ion.bion.officelayer;

import java.awt.Canvas;

import com.godyo.libreoffice.application.Configuration;

public class NativeView extends Canvas {

	private static final long serialVersionUID = 1L;

	private Integer hwnd;

	public NativeView() {
		loadLibrary();
	}

	public native int getNativeWindowSystemType();

	public Integer getHWND() {
		if (hwnd == null) {
			hwnd = Integer.valueOf((int) getNativeWindow());
		}
		return hwnd;
	}

	private native long getNativeWindow();

	private void loadLibrary() {
		System.load(Configuration.WORKSPACE_PATH + "\\com.godyo.libreoffice\\lib\\nativeview.dll");
	}
}
